com.ibm.openpages.api.rule

## Interface ITBRuleFactory

-     public interface ITBRuleFactory

  Represents the factory for the Rule object to be persisted on the system

  Since:
    8.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITBRuleAction` | `createRuleAction(TBRuleActionType type)` Creates a new instance of rule action to be persisted on the system
    `ITBRuleDefinition` | `createRuleDefinition(java.lang.String name, java.lang.String objectType)` Creates a new instance of rule definition to be persisted on the system
    `ITBRuleDefinitionFindOptions` | `createRuleDefinitionFindOptions()` Creates a new instance of `ITBRuleDefinitionFindOptions` By default this returns only published and enabled rule definitions.

- - ### Method Detail

    - #### createRuleDefinition

          ITBRuleDefinition createRuleDefinition(java.lang.String name,
                                                 java.lang.String objectType)

      Creates a new instance of rule definition to be persisted on the system
      Parameters:
        `name` - - name of the rule definition, which has to be unique among the rule definitions for the same type definition
        `objectType` - - Name of `ITypeDefinition`
      Returns:
        in-memory rule definition instance

    - #### createRuleAction

          ITBRuleAction createRuleAction(TBRuleActionType type)

      Creates a new instance of rule action to be persisted on the system
      Parameters:
        `type` -
      Returns:
      Since:
        8.2

    - #### createRuleDefinitionFindOptions

          ITBRuleDefinitionFindOptions createRuleDefinitionFindOptions()

      Creates a new instance of `ITBRuleDefinitionFindOptions` By default this returns only published and enabled rule definitions.
      Returns:

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.